dio_flutter_transformer 2.0.10

  • README.md
  • CHANGELOG.md
  • Example
  • Installing
  • Versions
  • new81

dio_flutter_transformer Pub

A dio transformer especially for flutter, by which the json decoding will be in background with [compute] function.

Install #

dependencies:
  dio_flutter_transformer: ^2.x.x # latest version

Usage #

Import the package:

import 'package:dio/dio.dart';
import 'package:dio_flutter_transformer/dio_flutter_transformer.dart';

Then replace dio default transformer:


var dio=Dio();
dio.transformer=new FlutterTransformer(); // replace dio default transformer
dio.get(...);

[0.0.1] - TODO: Add release date.

  • TODO: Describe initial release.

example/example.dart

import 'package:dio/dio.dart';
import '../lib/dio_flutter_transformer.dart';

main() async {
    var dio = Dio();
    // replace dio default transformer
    dio.transformer = new FlutterTransformer();

    //....
    Response response =
        await dio.get("https://api.github.com/orgs/flutterchina/repos");
    print(response.data);
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dio_flutter_transformer: ^2.0.10

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter packages get

Alternatively, your editor might support flutter packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:dio_flutter_transformer/dio_flutter_transformer.dart';
  
Version Uploaded Documentation Archive
2.0.10 Feb 20, 2019 Go to the documentation of dio_flutter_transformer 2.0.10 Download dio_flutter_transformer 2.0.10 archive
2.0.6 Feb 18, 2019 Go to the documentation of dio_flutter_transformer 2.0.6 Download dio_flutter_transformer 2.0.6 archive
2.0.3 Feb 14, 2019 Go to the documentation of dio_flutter_transformer 2.0.3 Download dio_flutter_transformer 2.0.3 archive
2.0.2 Feb 13, 2019 Go to the documentation of dio_flutter_transformer 2.0.2 Download dio_flutter_transformer 2.0.2 archive
2.0.0 Feb 12, 2019 Go to the documentation of dio_flutter_transformer 2.0.0 Download dio_flutter_transformer 2.0.0 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
62
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
81
Learn more about scoring.

We analyzed this package on Feb 20, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.1.0
  • pana: 0.12.13+1
  • Flutter: 1.2.1

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.68.0 <3.0.0
dio >=2.0.10 <3.0.0 2.0.10
flutter 0.0.0
Transitive dependencies
collection 1.14.11
cookie_jar 1.0.0
meta 1.1.6 1.1.7
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test